<?php
// $Id: mail_ru_analitycs.admin.inc,v 1.1 2010/08/03 12:20:33 seaji Exp $

/**
 * @file
 * Admin page callback file for the mail_ru_analitycs module.
 */

function mail_ru_analitycs_page() {
  drupal_add_css(drupal_get_path('module', 'mail_ru_analitycs') . '/mail_ru_analitycs.css');
  $output = '';
  $sql = 'SELECT mail FROM {users} WHERE uid != 0';
  $result = db_query($sql);
  $count = 0;
  while ($row = db_fetch_array($result)) {
    $pos = strpos($row['mail'], "@");
    $pos = $pos + 1;
    $host = substr($row['mail'], $pos);
    $hosts[$host][] = $row['mail'];
    $count++;
  }
  foreach($hosts as $host => $mails) {
    $out = '';
    $qu = count($mails);
    $percent = $qu / $count * 100;
    $percent = round($percent, 2);
//    $width = $percent * 1.4;
    $width = $percent;
    // если процентов больше 60 могут быть переносы строк
    settype($width, 'int');
    $width_text = ($width) ? $width .'%' : '1px';
    $out .= '<div class="host">';
    $out .= '<div class="host_name">'.$host .' - '. $qu .'</div>';
    $out .= '<div class="host_percent">'.$percent.' %</div>';
    $out .= '<div class="host_diagram" style="width:'.$width.'%">&nbsp;</div>';
    $out .= '</div>';
    $hosts_notsort[$width][$host] = $out;
  }
  asort($hosts_notsort);
  foreach($hosts_notsort as $key => $values) {
    foreach($values as $value) {
      $output .= $value;
    }
  }
  return $output;
}
