<?php
// $Id: mail_ru_auth.pages.inc,v 1.1 2010/08/03 12:27:26 seaji Exp $

/**
  * @file
  * Manages tab mail.ru in userprofile
  *
  */

function mail_ru_auth_user_page($account) {
  global $user;
  drupal_set_title (t('Mail.ru integration'));
  include_once 'mail_ru_auth.finalize.inc';
  $muid = _mail_ru_get_id('muid', $account->uid);
  if($muid) {
    $state = mail_ru_auth_users_getinfo($muid);
    $output  = drupal_get_form('mail_ru_auth_finalize_user_form', $state, $account);
  }
  elseif($account->uid == $user->uid) {
    $output = '<div id="mail_ru_auth_login" class="mail_ru_auth_button"></div>';
  }
  return $output;
}