<?php
// $Id: mail_ru_share.admin.inc,v 1.1 2010/08/03 12:31:30 seaji Exp $

/**
  * @file
  * Settings of mail_ru_auth
  */

function mail_ru_share_admin_settings() {
  global $base_url;

  $node_types = node_get_types('types');
  foreach ($node_types as $key => $type) {
    $nt[$type->type] = $type->name;
  }

  $form['mail_ru_share_node_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Node types to share in mail.ru'),
    '#options' => $nt,
    '#description' => t('Check node types witch you want to share.'),
    '#default_value' => variable_get('mail_ru_share_node_types', array('page' => 'page')),
  );

  $form['mail_ru_share_display_page'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display share button on full node pages'),
    '#default_value' => variable_get('mail_ru_share_display_page', 1),
  );

  $form['mail_ru_share_display_teaser'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display share button on node teasers'),
    '#default_value' => variable_get('mail_ru_share_display_teaser', 1),
  );

  $form = system_settings_form($form);
  return $form;

}